appId: com.local.archive.app
productName: 档案脱机存档
directories:
    buildResources: build
files:
    - '!**/.vscode/*'
    - '!src/*'
    - '!electron.vite.config.{js,ts,mjs,cjs}'
    - '!{.eslintignore,.eslintrc.cjs,.prettierignore,.prettierrc.yaml,dev-app-update.yml,CHANGELOG.md,README.md}'
    - '!{.env,.env.*,.npmrc,pnpm-lock.yaml}'
asarUnpack:
    - resources/**
win:
    target:
        - nsis
    executableName: 档案脱机存档
    requestedExecutionLevel: 'requireAdministrator'
    certificateFile: build/local_archive_win.pfx
    certificatePassword: hc20240308
nsis:
    artifactName: 档案脱机存档-安装包.${ext}
    shortcutName: ${productName}
    uninstallDisplayName: 卸载${productName}
    createDesktopShortcut: always
mac:
    target:
        - dmg
    entitlementsInherit: build/entitlements.mac.plist
    extendInfo:
        -   NSDocumentsFolderUsageDescription: 应用程序请求访问用户的Documents文件夹.
        -   NSDownloadsFolderUsageDescription: 应用程序请求访问用户的下载文件夹.
    notarize: false
dmg:
    sign: false
    artifactName: 档案脱机存档-安装包.${ext}
appImage:
    artifactName: 档案脱机存档-安装包.${ext}
electronDownload:
    mirror: https://npmmirror.com/mirrors/electron/
fileAssociations:
    ext: hczc
    role: Editor
    icon: build/file.png
